> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of banking accounts

> Returns the list of banking accounts



## OpenAPI

````yaml get /consumers/{consumer_id}/banking/accounts
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/banking/accounts:
    get:
      tags:
        - Banking
        - Banking accounts
      summary: Get list of banking accounts
      description: Returns the list of banking accounts
      operationId: banking_get_accounts
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_BankingAccountItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - banking
            - banking.read
            - banking.banking_accounts
            - banking.banking_accounts.read
components:
  schemas:
    ChiftPage_BankingAccountItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/BankingAccountItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[BankingAccountItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    BankingAccountItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the account
          examples:
            - account-123
        currency:
          type: string
          title: Currency
          description: Currency of the account
          examples:
            - EUR
        current_balance:
          type: number
          title: Current Balance
          description: Current balance of the account
          examples:
            - 1000
        current_balance_last_update_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Balance Last Update Date
          description: Last update date of the current balance
          examples:
            - '2025-01-01T00:00:00Z'
        available_balance:
          type: number
          title: Available Balance
          description: Available balance of the account
          examples:
            - 1000
        available_balance_last_update_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Available Balance Last Update Date
          description: Last update date of the available balance
          examples:
            - '2025-01-01T00:00:00Z'
        description:
          type: string
          title: Description
          description: Description of the account
          examples:
            - Chift account
        reference:
          type: string
          title: Reference
          description: Reference of the account
          examples:
            - FR76300040123456789012345678
        reference_type:
          type: string
          title: Reference Type
          description: Type of the reference
          examples:
            - IBAN
        holder_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Holder Name
          description: Name of the account holder
          examples:
            - John Doe
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Indicates if the account is active
          default: true
          examples:
            - true
      type: object
      required:
        - id
        - currency
        - current_balance
        - available_balance
        - description
        - reference
        - reference_type
      title: BankingAccountItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````